#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    vector <int> ans;
    ans.push_back(A.size()-1);
    for (int i = 0; i <= A.size()-2; i++)
    {
        ans.push_back(i);
    }
    return ans;
}